@import "variables";

html {
  background: linear-gradient(to right, $first-gradient-color, $second-gradient-color);
  font-family: $roboto;
  color: $primary-color;
}

h1 {
  text-align: center;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.choice {
  background-color: $primary-color;
  width: 15em;
  padding: 2em;
  border-radius: 1em;
  border: none;
  cursor: pointer;
  margin: 2em;
  transition: background-color 300ms ease;
  color: white;
  text-transform: uppercase;
  &:hover {
    background-color: $hover-color;
  }
}

#reset {
  background-color: #ffb4b4;
  width: 15em;
  padding: 2em;
  border-radius: 1em;
  border: none;
  cursor: pointer;
  margin: 2em;
  transition: outline 100ms ease;
  color: white;
  text-transform: uppercase;
  &:hover {
    outline: 3px solid white;
  }
}

.result {
  text-align: center;
}

.score {
  font-size: 3em;
  color: white;
}

.won {
  color: #1c7430;
}

.lost {
  color: #cf0000;
}